Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.helpers
Class TriggerUtils

    java.lang.Object
      org.quartz.helpers.TriggerUtils

Deprecated. use org.quartz.TriggerUtils instead!

public class TriggerUtils
extends Object

Convenience and utility methods for simplifying the construction and configuration of ``Trigger`s`.

Please submit suggestions for additional convenience methods to either the Quartz user forum or the developer's mail list at source forge.

Author:
  James House
See Also:
  `CronTrigger`, `SimpleTrigger`

Field Summary
`static int` | `FRIDAY` Deprecated.
`static int` | `LAST_DAY_OF_MONTH` Deprecated.
`static long` | `MILLISECONDS_IN_DAY` Deprecated.
`static long` | `MILLISECONDS_IN_HOUR` Deprecated.
`static long` | `MILLISECONDS_IN_MINUTE` Deprecated.
`static int` | `MONDAY` Deprecated.
`static int` | `SATURDAY` Deprecated.
`static long` | `SECONDS_IN_DAY` Deprecated.
`static int` | `SUNDAY` Deprecated.
`static int` | `THURSDAY` Deprecated.
`static int` | `TUESDAY` Deprecated.
`static int` | `WEDNESDAY` Deprecated.

Constructor Summary
`TriggerUtils()` Deprecated.

Method Summary
`static List` | `computeFireTimes(Trigger trigg, Calendar cal, int numTimes)` Deprecated. use org.quartz.TriggerUtils instead!
`static List` | `computeFireTimesBetween(Trigger trigg, Calendar cal, Date from, Date to)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getDateOf(int second, int minute, int hour)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getDateOf(int second, int minute, int hour, int dayOfMonth, int month)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getDateOf(int second, int minute, int hour, int dayOfMonth, int month, int year)` Deprecated. use org.quartz.TriggerUtils instead!
`static int` | `getDSTSavings(TimeZone tz)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getEvenHourDate(Date date)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getEvenHourDateBefore(Date date)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getEvenMinuteDate(Date date)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getEvenMinuteDateBefore(Date date)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getEvenSecondDate(Date date)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getEvenSecondDateBefore(Date date)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getNextGivenMinuteDate(Date date, int minuteBase)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `getNextGivenSecondDate(Date date, int secondBase)` Deprecated. use org.quartz.TriggerUtils instead!
`static int` | `getOffset(long date, TimeZone tz)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeDailyTrigger(int hour, int minute)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeHourlyTrigger()` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeHourlyTrigger(int intervalInHours)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeHourlyTrigger(int intervalInHours, int repeatCount)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeMinutelyTrigger()` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeMinutelyTrigger(int intervalInMinutes)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeMinutelyTrigger(int intervalInMinutes, int repeatCount)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeMonthlyTrigger(int dayOfMonth, int hour, int minute)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeSecondlyTrigger()` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeSecondlyTrigger(int intervalInSeconds)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeSecondlyTrigger(int intervalInSeconds, int repeatCount)` Deprecated. use org.quartz.TriggerUtils instead!
`static Trigger` | `makeWeeklyTrigger(int dayOfWeek, int hour, int minute)` Deprecated. use org.quartz.TriggerUtils instead!
`static void` | `setTriggerIdentity(Trigger trig, String name)` Deprecated. use org.quartz.TriggerUtils instead!
`static void` | `setTriggerIdentity(Trigger trig, String name, String group)` Deprecated. use org.quartz.TriggerUtils instead!
`static Date` | `translateTime(Date date, TimeZone src, TimeZone dest)` Deprecated. use org.quartz.TriggerUtils instead!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUNDAY

    public static final int SUNDAY

  Deprecated.
  See Also:
    Constant Field Values

### MONDAY

    public static final int MONDAY

  Deprecated.
  See Also:
    Constant Field Values

### TUESDAY

    public static final int TUESDAY

  Deprecated.
  See Also:
    Constant Field Values

### WEDNESDAY

    public static final int WEDNESDAY

  Deprecated.
  See Also:
    Constant Field Values

### THURSDAY

    public static final int THURSDAY

  Deprecated.
  See Also:
    Constant Field Values

### FRIDAY

    public static final int FRIDAY

  Deprecated.
  See Also:
    Constant Field Values

### SATURDAY

    public static final int SATURDAY

  Deprecated.
  See Also:
    Constant Field Values

### LAST_DAY_OF_MONTH

    public static final int LAST_DAY_OF_MONTH

  Deprecated.
  See Also:
    Constant Field Values

### MILLISECONDS_IN_MINUTE

    public static final long MILLISECONDS_IN_MINUTE

  Deprecated.
  See Also:
    Constant Field Values

### MILLISECONDS_IN_HOUR

    public static final long MILLISECONDS_IN_HOUR

  Deprecated.
  See Also:
    Constant Field Values

### SECONDS_IN_DAY

    public static final long SECONDS_IN_DAY

  Deprecated.
  See Also:
    Constant Field Values

### MILLISECONDS_IN_DAY

    public static final long MILLISECONDS_IN_DAY

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### TriggerUtils

    public TriggerUtils()

  Deprecated.

Method Detail

### setTriggerIdentity

    public static void setTriggerIdentity(Trigger trig,
                                          String name)

  Deprecated. use org.quartz.TriggerUtils instead!

  Set the given `Trigger`'s name to the given value, and its group to the default group (`Scheduler.DEFAULT_GROUP`).

### setTriggerIdentity

    public static void setTriggerIdentity(Trigger trig,
                                          String name,
                                          String group)

  Deprecated. use org.quartz.TriggerUtils instead!

  Set the given `Trigger`'s name to the given value, and its group to the given group.

### makeDailyTrigger

    public static Trigger makeDailyTrigger(int hour,
                                           int minute)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every day at the given time.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `hour` - the hour (0-23) upon which to fire
    `minute` - the minute (0-59) upon which to fire

### makeWeeklyTrigger

    public static Trigger makeWeeklyTrigger(int dayOfWeek,
                                            int hour,
                                            int minute)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every day at the given time.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `dayOfWeek` - (1-7) the day of week upon which to fire
    `hour` - the hour (0-23) upon which to fire
    `minute` - the minute (0-59) upon which to fire
  See Also:
    `SUNDAY`, `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`

### makeMonthlyTrigger

    public static Trigger makeMonthlyTrigger(int dayOfMonth,
                                             int hour,
                                             int minute)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every day at the given time.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  If the day of the month specified does not occur in a given month, a firing will not occur that month. (i.e. if dayOfMonth is specified as 31, no firing will occur in the months of the year with fewer than 31 days).

  Parameters:
    `dayOfMonth` - (1-31, or -1) the day of week upon which to fire
    `hour` - the hour (0-23) upon which to fire
    `minute` - the minute (0-59) upon which to fire

### makeSecondlyTrigger

    public static Trigger makeSecondlyTrigger()

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every second, indefinitely.

  The generated trigger will still need to have its name, group, start-time and end-time set.

### makeSecondlyTrigger

    public static Trigger makeSecondlyTrigger(int intervalInSeconds)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every N seconds, indefinitely.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `intervalInSeconds` - the number of seconds between firings

### makeSecondlyTrigger

    public static Trigger makeSecondlyTrigger(int intervalInSeconds,
                                              int repeatCount)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every N seconds, with the given number of repeats.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `intervalInSeconds` - the number of seconds between firings
    `repeatCount` - the number of times to repeat the firing

### makeMinutelyTrigger

    public static Trigger makeMinutelyTrigger()

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every minute, indefinitely.

  The generated trigger will still need to have its name, group, start-time and end-time set.

### makeMinutelyTrigger

    public static Trigger makeMinutelyTrigger(int intervalInMinutes)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every N minutes, indefinitely.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `intervalInMinutes` - the number of minutes between firings

### makeMinutelyTrigger

    public static Trigger makeMinutelyTrigger(int intervalInMinutes,
                                              int repeatCount)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every N minutes, with the given number of repeats.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `intervalInMinutes` - the number of minutes between firings
    `repeatCount` - the number of times to repeat the firing

### makeHourlyTrigger

    public static Trigger makeHourlyTrigger()

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every hour, indefinitely.

  The generated trigger will still need to have its name, group, start-time and end-time set.

### makeHourlyTrigger

    public static Trigger makeHourlyTrigger(int intervalInHours)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every N hours, indefinitely.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `intervalInHours` - the number of hours between firings

### makeHourlyTrigger

    public static Trigger makeHourlyTrigger(int intervalInHours,
                                            int repeatCount)

  Deprecated. use org.quartz.TriggerUtils instead!

  Make a trigger that will fire every N hours, with the given number of repeats.

  The generated trigger will still need to have its name, group, start-time and end-time set.

  Parameters:
    `intervalInHours` - the number of hours between firings
    `repeatCount` - the number of times to repeat the firing

### getEvenHourDate

    public static Date getEvenHourDate(Date date)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the next even hour above the given date.

  For example an input date with a time of 08:13:54 would result in a date with the time of 09:00:00. If the date's time is in the 23rd hour, the date's 'day' will be promoted, and the time will be set to 00:00:00.

  Parameters:
    `date` - the Date to round, if `null` the current time will be used

### getEvenHourDateBefore

    public static Date getEvenHourDateBefore(Date date)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the previous even hour below the given date.

  For example an input date with a time of 08:13:54 would result in a date with the time of 08:00:00.

  Parameters:
    `date` - the Date to round, if `null` the current time will be used

### getEvenMinuteDate

    public static Date getEvenMinuteDate(Date date)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the next even hour above the given date.

  For example an input date with a time of 08:13:54 would result in a date with the time of 08:14:00. If the date's time is in the 59th minute, then the hour (and possibly the day) will be promoted.

  Parameters:
    `date` - the Date to round, if `null` the current time will be used

### getEvenMinuteDateBefore

    public static Date getEvenMinuteDateBefore(Date date)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the previous even hour below the given date.

  For example an input date with a time of 08:13:54 would result in a date with the time of 08:13:00.

  Parameters:
    `date` - the Date to round, if `null` the current time will be used

### getEvenSecondDate

    public static Date getEvenSecondDate(Date date)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the next even second above the given date.

  Parameters:
    `date` - the Date to round, if `null` the current time will be used

### getEvenSecondDateBefore

    public static Date getEvenSecondDateBefore(Date date)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the previous even second below the given date.

  For example an input date with a time of 08:13:54.341 would result in a date with the time of 08:13:00.000.

  Parameters:
    `date` - the Date to round, if `null` the current time will be used

### getNextGivenMinuteDate

    public static Date getNextGivenMinuteDate(Date date,
                                              int minuteBase)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the next even multiple of the given minute.

  For example an input date with a time of 08:13:54, and an input minute-base of 5 would result in a date with the time of 08:15:00. The same input date with an input minute-base of 10 would result in a date with the time of 08:20:00. But a date with the time 08:53:31 and an input minute-base of 45 would result in 09:00:00, because the even-hour is the next 'base' for 45-minute intervals.

  More examples:

  Input Time | Minute-Base | Result Time
  --- | --- | ---
  11:16:41 | 20 | 11:20:00
  11:36:41 | 20 | 11:40:00
  11:46:41 | 20 | 12:00:00
  11:26:41 | 30 | 11:30:00
  11:36:41 | 30 | 12:00:00
  | 11:16:41 | 17 | 11:17:00 | 11:17:41 | 17 | 11:34:00 | 11:52:41 | 17 | 12:00:00 | 11:52:41 | 5 | 11:55:00 | 11:57:41 | 5 | 12:00:00 | 11:17:41 | 0 | 12:00:00 | 11:17:41 | 1 | 11:08:00

  Parameters:
    `date` - the Date to round, if `null` the current time will be used
    `minuteBase` - the base-minute to set the time on
  See Also:
    `getNextGivenSecondDate(Date, int)`

### getNextGivenSecondDate

    public static Date getNextGivenSecondDate(Date date,
                                              int secondBase)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a date that is rounded to the next even multiple of the given minute.

  The rules for calculating the second are the same as those for calculating the minute in the method `getNextGivenMinuteDate(..)`.``

  *

  Parameters:
    `date` - the Date to round, if `null` the current time will be used
    `secondBase` - the base-second to set the time on
  See Also:
    `getNextGivenMinuteDate(Date, int)`

### getDateOf

    public static Date getDateOf(int second,
                                 int minute,
                                 int hour)

  Deprecated. use org.quartz.TriggerUtils instead!

  Get a `Date` object that represents the given time, on today's date.

  Parameters:
    `second` - The value (0-59) to give the seconds field of the date
    `minute` - The value (0-59) to give the minutes field of the date
    `hour` - The value (0-23) to give the hours field of the date

### getDateOf

    public static Date getDateOf(int second,
                                 int minute,
                                 int hour,
                                 int dayOfMonth,
                                 int month)

  Deprecated. use org.quartz.TriggerUtils instead!

  Get a `Date` object that represents the given time, on the given date.

  Parameters:
    `second` - The value (0-59) to give the seconds field of the date
    `minute` - The value (0-59) to give the minutes field of the date
    `hour` - The value (0-23) to give the hours field of the date
    `dayOfMonth` - The value (1-31) to give the day of month field of the date
    `month` - The value (1-12) to give the month field of the date

### getDateOf

    public static Date getDateOf(int second,
                                 int minute,
                                 int hour,
                                 int dayOfMonth,
                                 int month,
                                 int year)

  Deprecated. use org.quartz.TriggerUtils instead!

  Get a `Date` object that represents the given time, on the given date.

  Parameters:
    `second` - The value (0-59) to give the seconds field of the date
    `minute` - The value (0-59) to give the minutes field of the date
    `hour` - The value (0-23) to give the hours field of the date
    `dayOfMonth` - The value (1-31) to give the day of month field of the date
    `month` - The value (1-12) to give the month field of the date
    `year` - The value (1970-2099) to give the year field of the date

### computeFireTimes

    public static List computeFireTimes(Trigger trigg,
                                        Calendar cal,
                                        int numTimes)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a list of Dates that are the next fire times of a `Trigger`. The input trigger will be cloned before any work is done, so you need not worry about its state being altered by this method.

  Parameters:
    `trigg` - The trigger upon which to do the work
    `cal` - The calendar to apply to the trigger's schedule
    `numTimes` - The number of next fire times to produce
  Returns:
    List of java.util.Date objects

### computeFireTimesBetween

    public static List computeFireTimesBetween(Trigger trigg,
                                               Calendar cal,
                                               Date from,
                                               Date to)

  Deprecated. use org.quartz.TriggerUtils instead!

  Returns a list of Dates that are the next fire times of a `Trigger` that fall within the given date range. The input trigger will be cloned before any work is done, so you need not worry about its state being altered by this method.

  Parameters:
    `trigg` - The trigger upon which to do the work
    `cal` - The calendar to apply to the trigger's schedule
    `from` - The starting date at which to find fire times
    `to` - The ending date at which to stop finding fire times
  Returns:
    List of java.util.Date objects

### translateTime

    public static Date translateTime(Date date,
                                     TimeZone src,
                                     TimeZone dest)

  Deprecated. use org.quartz.TriggerUtils instead!

  Translate a date & time from a users timezone to the another (probably server) timezone to assist in creating a simple trigger with the right date & time.

### getOffset

    public static int getOffset(long date,
                                TimeZone tz)

  Deprecated. use org.quartz.TriggerUtils instead!

  Gets the offset from UT for the given date in the given timezone, taking into account daylight savings.

  Equivalent of TimeZone.getOffset(date) in JDK 1.4, but Quartz is trying to support JDK 1.3.

### getDSTSavings

    public static int getDSTSavings(TimeZone tz)

  Deprecated. use org.quartz.TriggerUtils instead!

  Equivalent of TimeZone.getDSTSavings() in JDK 1.4, but Quartz is trying to support JDK 1.3.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD